import { pgTable, text, timestamp } from "drizzle-orm/pg-core";
import { InferModel } from "drizzle-orm";

export const hubspotUsers = pgTable("hubspot_users", {
  hubspotOwnerId: text("hubspot_owner_id").primaryKey(),
  firstName: text("first_name"),
  lastName: text("last_name"),
  email: text("email"),
  updatedAt: timestamp("updated_at", { precision: 6, withTimezone: true }).notNull(),
});

export type HubspotUser = InferModel<typeof hubspotUsers>;
export type NewHubspotUser = InferModel<typeof hubspotUsers, "insert">;
